Upstream information

CVE-2019-11727 at MITRE

Description

A vulnerability exists where it possible to force Network Security Services (NSS) to sign CertificateVerify with PKCS#1 v1.5 signatures when those are the only ones advertised by server in CertificateRequest in TLS 1.3. PKCS#1 v1.5 signatures should not be used for TLS 1.3 messages. This vulnerability affects Firefox

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:P/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.3 5
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:U/C:L/I:L/A:L
Access Vector Network Network
Access Complexity Low High
Privileges Required None None
User Interaction None Required
Scope Unchanged Unchanged
Confidentiality Impact None Low
Integrity Impact Low Low
Availability Impact None Low
CVSSv3 Version 3 3
SUSE Bugzilla entries: 1140868 [RESOLVED / FIXED], 1141322 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • MozillaFirefox >= 68.1.0-109.89.1
  • MozillaFirefox-branding-SLE >= 68-32.8.1
  • MozillaFirefox-translations-common >= 68.1.0-109.89.1
Patchnames:
HPE-Helion-OpenStack-8-2019-2620
SUSE Enterprise Storage 4
  • MozillaFirefox >= 68.1.0-109.89.1
  • MozillaFirefox-branding-SLE >= 68-32.8.1
  • MozillaFirefox-devel >= 68.1.0-109.89.1
  • MozillaFirefox-translations-common >= 68.1.0-109.89.1
Patchnames:
SUSE-Storage-4-2019-2620
SUSE Enterprise Storage 5
  • MozillaFirefox >= 68.1.0-109.89.1
  • MozillaFirefox-branding-SLE >= 68-32.8.1
  • MozillaFirefox-translations-common >= 68.1.0-109.89.1
Patchnames:
SUSE-Storage-5-2019-2620
SUSE Linux Enterprise Desktop 12 SP4
  • MozillaFirefox >= 68.1.0-109.89.1
  • MozillaFirefox-branding-SLE >= 68-32.8.1
  • MozillaFirefox-translations-common >= 68.1.0-109.89.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-2620
SUSE Linux Enterprise High Performance Computing 12 SP5
  • MozillaFirefox >= 68.1.0-109.92.1
  • MozillaFirefox-translations-common >= 68.1.0-109.92.1
SUSE Linux Enterprise Module for Desktop Applications 15 SP1
  • MozillaFirefox >= 68.1.0-3.54.2
  • MozillaFirefox-branding-SLE >= 68-4.8.5
  • MozillaFirefox-devel >= 68.1.0-3.54.2
  • MozillaFirefox-translations-common >= 68.1.0-3.54.2
  • MozillaFirefox-translations-other >= 68.1.0-3.54.2
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP1-2019-2545
SUSE Linux Enterprise Module for Desktop Applications 15
  • MozillaFirefox >= 68.1.0-3.54.2
  • MozillaFirefox-branding-SLE >= 68-4.8.5
  • MozillaFirefox-devel >= 68.1.0-3.54.2
  • MozillaFirefox-translations-common >= 68.1.0-3.54.2
  • MozillaFirefox-translations-other >= 68.1.0-3.54.2
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-2019-2545
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • MozillaFirefox >= 68.1.0-3.54.2
  • MozillaFirefox-branding-upstream >= 68.1.0-3.54.2
  • MozillaFirefox-buildsymbols >= 68.1.0-3.54.2
  • MozillaFirefox-devel >= 68.1.0-3.54.2
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2019-2545
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • MozillaFirefox >= 68.1.0-3.54.2
  • MozillaFirefox-branding-upstream >= 68.1.0-3.54.2
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-2019-2545
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • MozillaFirefox >= 68.1.0-109.89.1
  • MozillaFirefox-branding-SLE >= 68-32.8.1
  • MozillaFirefox-devel >= 68.1.0-109.89.1
  • MozillaFirefox-translations-common >= 68.1.0-109.89.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2019-2620
SUSE Linux Enterprise Server 11 SP4-LTSS
SUSE Linux Enterprise Server for SAP Applications 11 SP4-LTSS
  • MozillaFirefox >= 68.2.0-78.51.4
  • MozillaFirefox-branding-SLED >= 68-21.9.8
  • MozillaFirefox-translations-common >= 68.2.0-78.51.4
  • MozillaFirefox-translations-other >= 68.2.0-78.51.4
  • firefox-atk >= 2.26.1-2.8.4
  • firefox-atk-lang >= 2.26.1-2.8.4
  • firefox-cairo >= 1.15.10-2.13.4
  • firefox-gdk-pixbuf >= 2.36.11-2.8.4
  • firefox-gdk-pixbuf-lang >= 2.36.11-2.8.4
  • firefox-gdk-pixbuf-query-loaders >= 2.36.11-2.8.4
  • firefox-gdk-pixbuf-thumbnailer >= 2.36.11-2.8.4
  • firefox-gio-branding-upstream >= 2.54.3-2.14.7
  • firefox-glib2 >= 2.54.3-2.14.7
  • firefox-glib2-lang >= 2.54.3-2.14.7
  • firefox-glib2-tools >= 2.54.3-2.14.7
  • firefox-gtk3 >= 3.10.9-2.15.3
  • firefox-gtk3-branding-upstream >= 3.10.9-2.15.3
  • firefox-gtk3-data >= 3.10.9-2.15.3
  • firefox-gtk3-immodule-amharic >= 3.10.9-2.15.3
  • firefox-gtk3-immodule-inuktitut >= 3.10.9-2.15.3
  • firefox-gtk3-immodule-multipress >= 3.10.9-2.15.3
  • firefox-gtk3-immodule-thai >= 3.10.9-2.15.3
  • firefox-gtk3-immodule-vietnamese >= 3.10.9-2.15.3
  • firefox-gtk3-immodule-xim >= 3.10.9-2.15.3
  • firefox-gtk3-immodules-tigrigna >= 3.10.9-2.15.3
  • firefox-gtk3-lang >= 3.10.9-2.15.3
  • firefox-gtk3-tools >= 3.10.9-2.15.3
  • firefox-harfbuzz >= 1.7.5-2.7.4
  • firefox-libatk-1_0-0 >= 2.26.1-2.8.4
  • firefox-libcairo-gobject2 >= 1.15.10-2.13.4
  • firefox-libcairo2 >= 1.15.10-2.13.4
  • firefox-libffi >= 3.2.1.git259-2.3.3
  • firefox-libffi-gcc5 >= 5.3.1+r233831-14.1
  • firefox-libffi4 >= 5.3.1+r233831-14.1
  • firefox-libffi7 >= 3.2.1.git259-2.3.3
  • firefox-libgdk_pixbuf-2_0-0 >= 2.36.11-2.8.4
  • firefox-libgtk-3-0 >= 3.10.9-2.15.3
  • firefox-libharfbuzz0 >= 1.7.5-2.7.4
  • firefox-libpango-1_0-0 >= 1.40.14-2.7.4
  • firefox-pango >= 1.40.14-2.7.4
  • libfirefox-gio-2_0-0 >= 2.54.3-2.14.7
  • libfirefox-glib-2_0-0 >= 2.54.3-2.14.7
  • libfirefox-gmodule-2_0-0 >= 2.54.3-2.14.7
  • libfirefox-gobject-2_0-0 >= 2.54.3-2.14.7
  • libfirefox-gthread-2_0-0 >= 2.54.3-2.14.7
  • libfreebl3 >= 3.53.1-38.23.1
  • libfreebl3-32bit >= 3.53.1-38.23.1
  • libsoftokn3 >= 3.53.1-38.23.1
  • libsoftokn3-32bit >= 3.53.1-38.23.1
  • mozilla-nspr >= 4.25-29.12.2
  • mozilla-nspr-32bit >= 4.25-29.12.2
  • mozilla-nspr-devel >= 4.25-29.12.2
  • mozilla-nss >= 3.53.1-38.23.1
  • mozilla-nss-32bit >= 3.53.1-38.23.1
  • mozilla-nss-certs >= 3.53.1-38.23.1
  • mozilla-nss-certs-32bit >= 3.53.1-38.23.1
  • mozilla-nss-devel >= 3.53.1-38.23.1
  • mozilla-nss-tools >= 3.53.1-38.23.1
Patchnames:
slessp4-firefox-201910-14246
slessp4-mozilla-nss-nspr-202007-14418
SUSE Linux Enterprise Server 12 SP1-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • MozillaFirefox >= 68.1.0-109.89.1
  • MozillaFirefox-branding-SLE >= 68-32.8.1
  • MozillaFirefox-devel >= 68.1.0-109.89.1
  • MozillaFirefox-translations-common >= 68.1.0-109.89.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2019-2620
SUSE Linux Enterprise Server 12 SP2-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • MozillaFirefox >= 68.1.0-109.89.1
  • MozillaFirefox-branding-SLE >= 68-32.8.1
  • MozillaFirefox-devel >= 68.1.0-109.89.1
  • MozillaFirefox-translations-common >= 68.1.0-109.89.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-2620
SUSE Linux Enterprise Server 12 SP2-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • MozillaFirefox >= 68.1.0-109.89.1
  • MozillaFirefox-branding-SLE >= 68-32.8.1
  • MozillaFirefox-devel >= 68.1.0-109.89.1
  • MozillaFirefox-translations-common >= 68.1.0-109.89.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-2620
SUSE Linux Enterprise Server 12 SP2-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • MozillaFirefox >= 68.1.0-109.89.1
  • MozillaFirefox-branding-SLE >= 68-32.8.1
  • MozillaFirefox-devel >= 68.1.0-109.89.1
  • MozillaFirefox-translations-common >= 68.1.0-109.89.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-2620
SUSE Linux Enterprise Server 12 SP3-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP3-BCL
  • MozillaFirefox >= 68.1.0-109.89.1
  • MozillaFirefox-branding-SLE >= 68-32.8.1
  • MozillaFirefox-translations-common >= 68.1.0-109.89.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2019-2620
SUSE Linux Enterprise Server 12 SP3-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-ESPOS
  • MozillaFirefox >= 68.1.0-109.89.1
  • MozillaFirefox-branding-SLE >= 68-32.8.1
  • MozillaFirefox-translations-common >= 68.1.0-109.89.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2019-2620
SUSE Linux Enterprise Server 12 SP3-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-LTSS
  • MozillaFirefox >= 68.1.0-109.89.1
  • MozillaFirefox-branding-SLE >= 68-32.8.1
  • MozillaFirefox-translations-common >= 68.1.0-109.89.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-2620
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • MozillaFirefox >= 68.1.0-109.89.1
  • MozillaFirefox-branding-SLE >= 68-32.8.1
  • MozillaFirefox-translations-common >= 68.1.0-109.89.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-2620
SUSE Linux Enterprise Server 12 SP5
  • MozillaFirefox >= 68.1.0-109.92.1
  • MozillaFirefox-branding-SLE >= 68-32.8.1
  • MozillaFirefox-translations-common >= 68.1.0-109.92.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2019-2620
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • MozillaFirefox >= 68.1.0-109.89.1
  • MozillaFirefox-branding-SLE >= 68-32.8.1
  • MozillaFirefox-devel >= 68.1.0-109.89.1
  • MozillaFirefox-translations-common >= 68.1.0-109.89.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2019-2620
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • MozillaFirefox >= 68.1.0-109.89.1
  • MozillaFirefox-branding-SLE >= 68-32.8.1
  • MozillaFirefox-devel >= 68.1.0-109.89.1
  • MozillaFirefox-translations-common >= 68.1.0-109.89.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2019-2620
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • MozillaFirefox >= 68.1.0-109.89.1
  • MozillaFirefox-branding-SLE >= 68-32.8.1
  • MozillaFirefox-translations-common >= 68.1.0-109.89.1
Patchnames:
SUSE-SLE-SAP-12-SP3-2019-2620
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • MozillaFirefox >= 68.1.0-109.89.1
  • MozillaFirefox-branding-SLE >= 68-32.8.1
  • MozillaFirefox-translations-common >= 68.1.0-109.89.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2019-2620
SUSE Linux Enterprise Software Development Kit 12 SP4
  • MozillaFirefox >= 68.1.0-109.89.1
  • MozillaFirefox-devel >= 68.1.0-109.89.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-2620
SUSE Linux Enterprise Software Development Kit 12 SP5
  • MozillaFirefox >= 68.1.0-109.89.1
  • MozillaFirefox-devel >= 68.1.0-109.92.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2019-2620
SUSE Linux Enterprise Workstation Extension 15 SP1
  • MozillaThunderbird >= 68.1.1-3.51.1
  • MozillaThunderbird-translations-common >= 68.1.1-3.51.1
  • MozillaThunderbird-translations-other >= 68.1.1-3.51.1
Patchnames:
SUSE-SLE-Product-WE-15-SP1-2019-2515
SUSE Linux Enterprise Workstation Extension 15
  • MozillaThunderbird >= 68.1.1-3.51.1
  • MozillaThunderbird-translations-common >= 68.1.1-3.51.1
  • MozillaThunderbird-translations-other >= 68.1.1-3.51.1
Patchnames:
SUSE-SLE-Product-WE-15-2019-2515
SUSE OpenStack Cloud 7
  • MozillaFirefox >= 68.1.0-109.89.1
  • MozillaFirefox-branding-SLE >= 68-32.8.1
  • MozillaFirefox-devel >= 68.1.0-109.89.1
  • MozillaFirefox-translations-common >= 68.1.0-109.89.1
Patchnames:
SUSE-OpenStack-Cloud-7-2019-2620
SUSE OpenStack Cloud 8
  • MozillaFirefox >= 68.1.0-109.89.1
  • MozillaFirefox-branding-SLE >= 68-32.8.1
  • MozillaFirefox-translations-common >= 68.1.0-109.89.1
Patchnames:
SUSE-OpenStack-Cloud-8-2019-2620
SUSE OpenStack Cloud Crowbar 8
  • MozillaFirefox >= 68.1.0-109.89.1
  • MozillaFirefox-branding-SLE >= 68-32.8.1
  • MozillaFirefox-translations-common >= 68.1.0-109.89.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2019-2620
openSUSE Leap 15.0
  • MozillaFirefox >= 68.1.0-lp150.3.66.1
  • MozillaFirefox-branding-upstream >= 68.1.0-lp150.3.66.1
  • MozillaFirefox-buildsymbols >= 68.1.0-lp150.3.66.1
  • MozillaFirefox-debuginfo >= 68.1.0-lp150.3.66.1
  • MozillaFirefox-debugsource >= 68.1.0-lp150.3.66.1
  • MozillaFirefox-devel >= 68.1.0-lp150.3.66.1
  • MozillaFirefox-translations-common >= 68.1.0-lp150.3.66.1
  • MozillaFirefox-translations-other >= 68.1.0-lp150.3.66.1
  • MozillaThunderbird >= 68.1.1-lp150.3.51.1
  • MozillaThunderbird-buildsymbols >= 68.1.1-lp150.3.51.1
  • MozillaThunderbird-debuginfo >= 68.1.1-lp150.3.51.1
  • MozillaThunderbird-debugsource >= 68.1.1-lp150.3.51.1
  • MozillaThunderbird-translations-common >= 68.1.1-lp150.3.51.1
  • MozillaThunderbird-translations-other >= 68.1.1-lp150.3.51.1
  • enigmail >= 2.1.2-lp150.34.1
Patchnames:
openSUSE-2019-2248
openSUSE-2019-2260
openSUSE Leap 15.1
  • MozillaFirefox >= 68.1.0-lp151.2.14.1
  • MozillaFirefox-branding-upstream >= 68.1.0-lp151.2.14.1
  • MozillaFirefox-buildsymbols >= 68.1.0-lp151.2.14.1
  • MozillaFirefox-debuginfo >= 68.1.0-lp151.2.14.1
  • MozillaFirefox-debugsource >= 68.1.0-lp151.2.14.1
  • MozillaFirefox-devel >= 68.1.0-lp151.2.14.1
  • MozillaFirefox-translations-common >= 68.1.0-lp151.2.14.1
  • MozillaFirefox-translations-other >= 68.1.0-lp151.2.14.1
  • MozillaThunderbird >= 68.1.1-lp151.2.13.1
  • MozillaThunderbird-buildsymbols >= 68.1.1-lp151.2.13.1
  • MozillaThunderbird-debuginfo >= 68.1.1-lp151.2.13.1
  • MozillaThunderbird-debugsource >= 68.1.1-lp151.2.13.1
  • MozillaThunderbird-translations-common >= 68.1.1-lp151.2.13.1
  • MozillaThunderbird-translations-other >= 68.1.1-lp151.2.13.1
  • enigmail >= 2.1.2-lp151.2.6.1
Patchnames:
openSUSE-2019-2249
openSUSE-2019-2251


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 1.0 mozilla-nss Unsupported
CaaS Platform 2.0 mozilla-nss Unsupported
CaaS Platform 3.0 mozilla-nss Released
SUSE Linux Enterprise Desktop 12 SP3 mozilla-nss Unsupported
SUSE Linux Enterprise Desktop 12 SP4 mozilla-nss Released
SUSE Linux Enterprise High Performance Computing 12 mozilla-nss Released
SUSE Linux Enterprise Module for Basesystem 15 GA mozilla-nss Released
SUSE Linux Enterprise Module for Basesystem 15 SP1 mozilla-nss Released
SUSE Linux Enterprise Module for Server Applications 15 SP1 mozilla-nss Released
SUSE Linux Enterprise SDK 12 SP3 mozilla-nss Unsupported
SUSE Linux Enterprise SDK 12 SP4 mozilla-nss Released
SUSE Linux Enterprise SDK 12 SP5 mozilla-nss Released
SUSE Linux Enterprise Server 11 SP3 LTSS mozilla-nss Ignore
SUSE Linux Enterprise Server 11 SP4 LTSS mozilla-nss Released
SUSE Linux Enterprise Server 12 GA LTSS mozilla-nss Unsupported
SUSE Linux Enterprise Server 12 SP1 LTSS mozilla-nss Released
SUSE Linux Enterprise Server 12 SP2 LTSS mozilla-nss Released
SUSE Linux Enterprise Server 12 SP3 mozilla-nss Unsupported
SUSE Linux Enterprise Server 12 SP3 LTSS mozilla-nss Released
SUSE Linux Enterprise Server 12 SP4 mozilla-nss Released
SUSE Linux Enterprise Server 12 SP5 mozilla-nss Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 mozilla-nss Ignore
SUSE Linux Enterprise Server for SAP Applications 12 GA mozilla-nss Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP2 mozilla-nss Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 mozilla-nss Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 mozilla-nss Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 mozilla-nss Released